curl --request GET \
--url 'https://api.benzinga.com/api/v2.1/calendar/ratings/analysts?token='import requests
url = "https://api.benzinga.com/api/v2.1/calendar/ratings/analysts?token="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.benzinga.com/api/v2.1/calendar/ratings/analysts?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"analyst_ratings_analyst": [
{
"firm_id": "57f832a96b87f600016fa347",
"firm_name": "Morgan Stanley",
"id": "683d9c45e5343b000101a1e3",
"name_first": "Lillian",
"name_full": "Lillian Lou",
"name_last": "Lou",
"ratings_accuracy": {
"1m_average_return": "0.0",
"1m_smart_score": "13.81",
"1m_stdev": "0.0",
"1m_success_rate": "0.0",
"1y_average_return": "-60.47",
"1y_loss_count": 1,
"1y_smart_score": "16.39",
"1y_stdev": "0.0",
"1y_success_rate": "0.0",
"2y_average_return": "-60.47",
"2y_loss_count": 1,
"2y_smart_score": "13.36",
"2y_stdev": "0.0",
"2y_success_rate": "0.0",
"3m_average_return": "0.0",
"3m_smart_score": "10.68",
"3m_stdev": "0.0",
"3m_success_rate": "0.0",
"3y_average_return": "-60.47",
"3y_loss_count": 1,
"3y_smart_score": "11.3",
"3y_stdev": "0.0",
"3y_success_rate": "0.0",
"9m_average_return": "-60.47",
"9m_loss_count": 1,
"9m_smart_score": "17.27",
"9m_stdev": "0.0",
"9m_success_rate": "0.0",
"overall_average_return": "-60.47",
"overall_avg_return_percentile": "1.7",
"overall_loss_count": 1,
"overall_stdev": "0.0",
"overall_success_rate": "0.0",
"smart_score": "2.86",
"total_ratings": 1,
"total_ratings_percentile": "7.56"
},
"updated": 1767619219
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
Ratings Analysts
Returns the full list of analysts that are providing ratings
{
"analyst_ratings_analyst": [
{
"firm_id": "57f832a96b87f600016fa347",
"firm_name": "Morgan Stanley",
"id": "683d9c45e5343b000101a1e3",
"name_first": "Lillian",
"name_full": "Lillian Lou",
"name_last": "Lou",
"ratings_accuracy": {
"1m_average_return": "0.0",
"1m_smart_score": "13.81",
"1m_stdev": "0.0",
"1m_success_rate": "0.0",
"1y_average_return": "-60.47",
"1y_loss_count": 1,
"1y_smart_score": "16.39",
"1y_stdev": "0.0",
"1y_success_rate": "0.0",
"2y_average_return": "-60.47",
"2y_loss_count": 1,
"2y_smart_score": "13.36",
"2y_stdev": "0.0",
"2y_success_rate": "0.0",
"3m_average_return": "0.0",
"3m_smart_score": "10.68",
"3m_stdev": "0.0",
"3m_success_rate": "0.0",
"3y_average_return": "-60.47",
"3y_loss_count": 1,
"3y_smart_score": "11.3",
"3y_stdev": "0.0",
"3y_success_rate": "0.0",
"9m_average_return": "-60.47",
"9m_loss_count": 1,
"9m_smart_score": "17.27",
"9m_stdev": "0.0",
"9m_success_rate": "0.0",
"overall_average_return": "-60.47",
"overall_avg_return_percentile": "1.7",
"overall_loss_count": 1,
"overall_stdev": "0.0",
"overall_success_rate": "0.0",
"smart_score": "2.86",
"total_ratings": 1,
"total_ratings_percentile": "7.56"
},
"updated": 1767619219
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
Authorizations
Query Parameters
Page offset. For optimization, performance and technical reasons, page offsets are limited from 0 - 100000. Limit the query results by other parameters such as date. Default is 0
Number of results returned. Limit 1000
Fields
Analyst
Analyst name
Firm
Firm name
Records last Updated Unix timestamp (UTC). This will force the sort order to be Greater Than or Equal to the timestamp indicated
Response
Ratings Analysts
Unique identifier for the analyst's firm
"FIRM-123456"
Name of the analyst's firm
"Goldman Sachs"
Unique identifier for the analyst
"64a1b2c3d4e5f6789012345"
Analyst's first name
"John"
Analyst's full name
"John Smith"
Analyst's last name
"Smith"
Analyst rankings across different time periods
Show child attributes
Show child attributes
Detailed accuracy metrics for the analyst's ratings
Show child attributes
Show child attributes
Unix timestamp of last update
1704758400
Was this page helpful?